Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-gd: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 15:54:17 +0200

---
 main/perl-gd/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 main/perl-gd/APKBUILD
diff --git a/main/perl-gd/APKBUILD b/main/perl-gd/APKBUILD
new file mode 100644
index 0000000..c562c04
--- /dev/null
+++ b/main/perl-gd/APKBUILD
_at_@ -0,0 +1,45 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-gd
+_pkgreal=GD
+pkgver=2.56
+pkgrel=0
+pkgdesc="Perl module for GD"
+url="http://search.cpan.org/dist/GD/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-module-build gd-dev libjpeg-turbo-dev zlib-dev libpng-dev freetype-dev"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/L/LD/LDS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	if [ -e Build.PL ]; then
+		perl Build.PL installdirs=vendor || return 1
+	else
+		PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	fi
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	./Build
+}
+
+package() {
+	cd "$_builddir"
+	./Build install destdir="$pkgdir" || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	rm "$pkgdir"/usr/bin/bdftogd
+}
+
+md5sums="c4b3afd98b2c4ce3c2e1027d101a8f1e  GD-2.56.tar.gz"
+sha256sums="1f103d1c98de8621504642ed7fb79f1b40f5f6a63c2abe9390a8ab78617248f9  GD-2.56.tar.gz"
+sha512sums="51c4b46b199625a12ae1ad1003cafe4e66913d1e0c0b51d9bccbc7c14a86dfe29144caefbeca2927a66a44d4ba8b134550ee4a63eb86aceaa13513c46a4e71f4  GD-2.56.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 15:54:17 GMT